Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.io.filefilter
Interface ConditionalFileFilter

All Known Implementing Classes:
  AndFileFilter, OrFileFilter

    public interface ConditionalFileFilter

Defines operations for conditional file filters.

Since:
  Commons IO 1.1
Version:
  $Revision: 619103 $ $Date: 2008-02-06 19:01:17 +0000 (Wed, 06 Feb 2008) $
Author:
  Steven Caswell

Method Summary
`void` | `addFileFilter(IOFileFilter ioFileFilter)` Adds the specified file filter to the list of file filters at the end of the list.
`List<IOFileFilter>` | `getFileFilters()` Returns this conditional file filter's list of file filters.
`boolean` | `removeFileFilter(IOFileFilter ioFileFilter)` Removes the specified file filter.
`void` | `setFileFilters(List<IOFileFilter> fileFilters)` Sets the list of file filters, replacing any previously configured file filters on this filter.

Method Detail

### addFileFilter

    void addFileFilter(IOFileFilter ioFileFilter)

  Adds the specified file filter to the list of file filters at the end of the list.

  Parameters:
    `ioFileFilter` - the filter to be added
  Since:
    Commons IO 1.1

### getFileFilters

    List<IOFileFilter> getFileFilters()

  Returns this conditional file filter's list of file filters.

  Returns:
    the file filter list
  Since:
    Commons IO 1.1

### removeFileFilter

    boolean removeFileFilter(IOFileFilter ioFileFilter)

  Removes the specified file filter.

  Parameters:
    `ioFileFilter` - filter to be removed
  Returns:
    `true` if the filter was found in the list, `false` otherwise
  Since:
    Commons IO 1.1

### setFileFilters

    void setFileFilters(List<IOFileFilter> fileFilters)

  Sets the list of file filters, replacing any previously configured file filters on this filter.

  Parameters:
    `fileFilters` - the list of filters
  Since:
    Commons IO 1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2010 The Apache Software Foundation. All Rights Reserved.